Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v3
Class TransactionBaseType

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v3.TransactionBaseType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2023-09-11T04:19:54+02:00",
               comments="JAXB RI v2.3.6")
    public class TransactionBaseType

extends Object
implements Serializable

Java class for transactionBaseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="transactionBaseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR"/>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-TRANSACTION" maxOccurs="unbounded" minOccurs="0"/>
             <element name="author" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}authorType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`TransactionBaseType()`

Method Summary
`AuthorType` | `getAuthor()` Gets the value of the author property.
`List<CDTRANSACTION>` | `getCds()` Gets the value of the cds property.
`IDKMEHR` | `getId()` Gets the value of the id property.
`void` | `setAuthor(AuthorType value)` Sets the value of the author property.
`void` | `setId(IDKMEHR value)` Sets the value of the id property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionBaseType

    public TransactionBaseType()

Method Detail

### getId

    public IDKMEHR getId()

  Gets the value of the id property.

  Returns:
    possible object is `IDKMEHR`

### setId

    public void setId(IDKMEHR value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `IDKMEHR`

### getCds

    public List<CDTRANSACTION> getCds()

  Gets the value of the cds property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

  For example, to add a new item, do as follows:

          getCds().add(newItem);

  Objects of the following type(s) are allowed in the list `CDTRANSACTION`

### getAuthor

    public AuthorType getAuthor()

  Gets the value of the author property.

  Returns:
    possible object is `AuthorType`

### setAuthor

    public void setAuthor(AuthorType value)

  Sets the value of the author property.

  Parameters:
    `value` - allowed object is `AuthorType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PHYSIOTHERAPIST 3.25.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.